<!doctype html>
<html>
  <head>
    <meta charset="utf-8" />
    <title>Testing</title>
    <meta name="viewport" content="width=device-width, initial-scale=1" />
  </head>
  <body>
    <section>
      <h1 class="is-center">Melange TEA - Elm architecture</h1>
      <div class="content pure-g">
        <div class="pure-md-1-4">
          <div class="pure-menu custom-restricted-width">
            <ul class="pure-menu-list">
              <li class="pure-menu-item">
                <a href="#" class="pure-menu-link" onclick="loadApp()"
                  >Shutdown</a
                >
              </li>
              <li class="pure-menu-item">
                <a href="#" class="pure-menu-link" onclick="loadApp('counter')"
                  >Counter</a
                >
              </li>
              <li class="pure-menu-item">
                <a
                  href="#"
                  class="pure-menu-link"
                  onclick="loadApp('counter_debug_beginner')"
                  >Counter with debugger-Beginner</a
                >
              </li>
              <li class="pure-menu-item">
                <a
                  href="#"
                  class="pure-menu-link"
                  onclick="loadApp('counter_debug_standard')"
                  >Counter with debugger-standard</a
                >
              </li>
              <li class="pure-menu-item">
                <a
                  href="#"
                  class="pure-menu-link"
                  onclick="loadApp('counter_debug_program')"
                  >Counter with debugger-program</a
                >
              </li>
              <li class="pure-menu-item">
                <a
                  href="#"
                  class="pure-menu-link"
                  onclick="loadApp('btn_update_span')"
                  >Button update span</a
                >
              </li>
              <li class="pure-menu-item">
                <a
                  href="#"
                  class="pure-menu-link"
                  onclick="loadApp('attribute_removal')"
                  >Attribute removal</a
                >
              </li>
              <li class="pure-menu-item">
                <a href="#" class="pure-menu-link" onclick="loadApp('drag')"
                  >Drag</a
                >
              </li>
              <li class="pure-menu-item">
                <a
                  href="#"
                  class="pure-menu-link"
                  onclick="loadApp('on_with_options')"
                  >On (with options)</a
                >
              </li>
              <li class="pure-menu-item">
                <a
                  href="#"
                  class="pure-menu-link"
                  onclick="loadApp('http_task')"
                  >Http task chaining</a
                >
              </li>
              <li class="pure-menu-item">
                <a
                  href="#"
                  class="pure-menu-link"
                  onclick="loadApp('mount_unmount')"
                  >Mount/unmount</a
                >
              </li>
            </ul>
          </div>
        </div>
        <div class="pure-u-md-3-4">
          <div id="app"></div>
        </div>
      </div>
      <section class="footer">
        All code is available on
        <a href="https://gitlab.com/technostructures/lib/melange-tea">Gitlab</a
        >.
      </section>
    </section>
    <script type="module" src="app.js"></script>
  </body>
</html>
